| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Sql
Sql.pgsql

# Method Sql.pgsql()->quotebinary()

Method quotebinary

  `string quotebinary(string s)`

Returns

  The given string, but escapes/quotes all contained magic characters for binary (bytea) arguments in textual SQL-queries.

Note

  Quoting must not be done for parameters passed in bindings.

See also

  big_query() , quote()

Note

  This function is PostgreSQL-specific, and thus it is not available through the generic SQL-interface.